// import util api call for cart order
import { sendOrderPost } from './../util/order-api';


export const SEND_USER_ORDER = "SEND_USER_ORDER"

const sendUserOrder = (orderConfirmationResponse) => ({
    type: SEND_USER_ORDER,
    payload: orderConfirmationResponse
})

export const dispatchOrderInfo = (orderInfo) => dispatch => sendOrderPost(orderInfo)
    .then( response => dispatch(sendUserOrder(response)) )
