import React, { Component } from 'react'
import Nav from 'react-bootstrap/Nav'
import Navbar from 'react-bootstrap/Navbar'
// import NavDropdown from 'react-bootstrap/NavDropdown'
import {NavLink} from 'react-router-dom'
import Session from '../session/session-container'

import './header.css';

export default class Header extends Component {
    constructor(props) {
    super(props)
    this.state = {}
    }

    render() {
        return (
            <div>
                <Navbar collapseOnSelect expand="lg" bg="primary" variant="dark">
                    <Navbar.Toggle aria-controls="responsive-navbar-nav" />
                    <NavLink to="/product-market" id="nav-home-link"><span className="nav-home">Ascend Ecommerce</span></NavLink>
                    <Navbar.Collapse id="responsive-navbar-nav">
                        <Nav >
                            <Navbar.Text id="nav-bar-text">
                                Hello Guest!
                            </Navbar.Text>
                        </Nav>
                        <NavLink to="/product-market"><span className="products-nav">Products</span></NavLink>
                        <NavLink to="/orders"><span className="order-history-nav">Order History</span></NavLink>
                        <NavLink to="/cart"><span className="cart-nav">Cart</span></NavLink>
                        <Nav className="ms-auto">
                            <Session />
                        </Nav>
                    </Navbar.Collapse>
                </Navbar>
            </div>
        )
    }
}

